# Mark a finished run as Pass or Fail (/docs/api-reference/production-orders/ProductionOrdersController_setFinalResult)

`POST /api/factories/{factoryId}/production-orders/{id}/final-result`

Base URL: https://api.xentr.ai

Authentication: bearer token (`Authorization: Bearer <token>`).

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `factoryId` | path | yes | string | Factory ID |
| `id` | path | yes | string | Production Order ID |

## Request body

Required.

Content type: `application/json`

```json
{
  "type": "object",
  "properties": {
    "result": {
      "type": "string",
      "description": "Post-run verdict",
      "enum": [
        "pass",
        "fail"
      ]
    },
    "actorId": {
      "type": "string",
      "description": "Actor user id"
    }
  },
  "required": [
    "result"
  ]
}
```

## Responses

### 200: Final result recorded